package de.avatic.lcc.model.db.rates;

import jakarta.validation.constraints.Digits;
import jakarta.validation.constraints.NotNull;

import java.math.BigDecimal;

public class MatrixRate {

    private Integer id;

    @Digits(integer = 15, fraction = 2)
    private BigDecimal rate;

    @NotNull
    private Integer fromCountry;

    @NotNull
    private Integer toCountry;

    private Integer validityPeriodId;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public BigDecimal getRate() {
        return rate;
    }

    public void setRate(BigDecimal rate) {
        this.rate = rate;
    }

    public Integer getFromCountry() {
        return fromCountry;
    }

    public void setFromCountry(Integer fromCountry) {
        this.fromCountry = fromCountry;
    }

    public Integer getToCountry() {
        return toCountry;
    }

    public void setToCountry(Integer toCountry) {
        this.toCountry = toCountry;
    }

    public void setValidityPeriodId(Integer validityPeriodId) {
        this.validityPeriodId = validityPeriodId;
    }

    public Integer getValidityPeriodId() {
        return validityPeriodId;
    }
}
